lqt_parameter_info_t Struct Reference
Codec registry » Structures describing codec parameters

Structure describing a parameter. More...

`#include <lqt_codecinfo.h>`

## Data Fields

char * | name
char * | real_name
lqt_parameter_type_t | type
lqt_parameter_value_t | val_default
lqt_parameter_value_t | val_min
lqt_parameter_value_t | val_max
int | num_digits
int | num_stringlist_options
char ** | stringlist_options
char ** | stringlist_labels
char * | help_string

## Detailed Description

Structure describing a parameter.

This completely describes a parameter. Bool parameters will have the type LQT_PARAMETER_INT , val_min = 0 and val_max = 1.

## Field Documentation

char* lqt_parameter_info_t::name

Parameter name to be passed to on of the parameter setting functions

char* lqt_parameter_info_t::real_name

More human readable name for configuration dialogs

lqt_parameter_type_t lqt_parameter_info_t::type

Datatype

lqt_parameter_value_t lqt_parameter_info_t::val_default

Default value

lqt_parameter_value_t lqt_parameter_info_t::val_min

Minimum value for integer or float parameter

lqt_parameter_value_t lqt_parameter_info_t::val_max

Maximum value for integer or float parameter

int lqt_parameter_info_t::num_digits

Number of digits for floating point parameters

int lqt_parameter_info_t::num_stringlist_options

Number of options for LQT_PARAMETER_STRINGLIST

char** lqt_parameter_info_t::stringlist_options

Options for LQT_PARAMETER_STRINGLIST

char** lqt_parameter_info_t::stringlist_labels

Labels for LQT_PARAMETER_STRINGLIST

char* lqt_parameter_info_t::help_string

Detailed help about the parameter

The documentation for this struct was generated from the following file:

- /build/libquicktime-j13GsZ/libquicktime-1.2.4/include/quicktime/lqt_codecinfo.h